#include "version.h"

#ifndef _WIN32
#define E extern
#define I extern
#else
#ifndef MODULE_COMPILE
#define E extern __declspec(dllexport)
#define I extern __declspec(dllimport)
#else
#define E extern __declspec(dllimport)
#define I extern __declspec(dllexport)
#endif
#endif

E int getForksBuildVersion();
E int getForksMajorVersion();
E int getForksMinorVersion();
E int getForksPatchVersion();

int getForksBuildVersion() {
    return VERSION_BUILD;
}

int getForksMajorVersion() {
    return VERSION_MAJOR;
}

int getForksMinorVersion() {
    return VERSION_MINOR;
}

int getForksPatchVersion() {
    return VERSION_PATCH;
}

